﻿using Steema.TeeChart.Tools;
using System;
using System.Drawing;
using System.Windows.Forms;

namespace TeeChartExample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            m_chart.Series[0].Marks.Visible = false;

            m_chart.Series[0].Add(0, 1);
            m_chart.Series[0].Add(1, 1);
            m_chart.Series[0].Add(2, 1);
            m_chart.Series[0].Add(3, 1);
            m_chart.Series[0].Add(4, 1);
            m_chart.Series[0].Add(5, 1);

            m_chart.Axes.Left.MaximumOffset = 0;
            m_chart.Axes.Left.SetMinMax(0, 255);

            AddColorLine(Color.Red, 100);
            AddColorLine(Color.Green, 150);
        }

        private void AddColorLine(Color color, int position)
        {
            ColorLine line = new ColorLine(m_chart.Chart);
            line.DrawBehind = true;
            line.Active = true;
            line.AllowDrag = true;
            line.Axis = m_chart.Axes.Left;
            line.DragRepaint = true;
            line.Pen.Color = color;
            line.Pen.Width = 2;
            line.Value = position;
            line.Draw3D = false;
        }
    }
}
